### Hierarchy

- Search
  - TableToolbarSearch

### Implements

- ControlValueAccessor
- AfterViewInit

## Index

### Inputs

- active
- ariaLabel
- autocomplete
- clearButtonTitle
- disabled
- expandable
- id
- label
- name
- placeholder
- required
- searchTitle
- skeleton
- theme
- toolbar
- value
- size

### Outputs

- clear
- open
- search
- valueChange

### Constructors

- constructor

### Properties

- _size
- active
- ariaLabel
- autocomplete
- clear
- clearButtonTitle
- disabled
- elementRef
- expandable
- hostClass
- i18n
- id
- inputRef
- isComposing
- label
- name
- open
- placeholder
- required
- search
- searchTitle
- skeleton
- tableSearch
- theme
- toolbar
- value
- valueChange
- searchCount

### Accessors

- containerClass
- size

### Methods

- clearSearch
- compositionEnd
- compositionStart
- doValueChange
- focusIn
- focusOut
- keyDown
- ngAfterViewInit
- onEnter
- onSearch
- onTouched
- openSearch
- propagateChange
- registerOnChange
- registerOnTouched
- writeValue

## Constructors

### constructor

- new TableToolbarSearch(elementRef: ElementRef, i18n: I18n): TableToolbarSearch

- Inherited from Search.constructor

  - Defined in src/search/search.component.ts:141

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### i18n: I18n

  #### Returns TableToolbarSearch

## Properties

### Protected _size

_size: "sm" | "md" | "xl" = "md"

Inherited from Search._size

- Defined in src/search/search.component.ts:141

### active

@Input()
active: boolean = false

Inherited from Search.active

- Defined in src/search/search.component.ts:73

### ariaLabel

@Input()
ariaLabel: string

Inherited from Search.ariaLabel

- Defined in src/search/search.component.ts:118

### autocomplete

@Input()
autocomplete: string = "on"

Inherited from Search.autocomplete

- Defined in src/search/search.component.ts:98

### clear

@Output()
clear: EventEmitter<Object> = new EventEmitter()

Inherited from Search.clear

- Defined in src/search/search.component.ts:127

### clearButtonTitle

@Input()
clearButtonTitle: any = this.i18n.get().SEARCH.CLEAR_BUTTON

Inherited from Search.clearButtonTitle

- Defined in src/search/search.component.ts:110

### disabled

@Input()
disabled: boolean = false

Inherited from Search.disabled

- Defined in src/search/search.component.ts:56

### Protected elementRef

elementRef: ElementRef

Inherited from Search.elementRef

- Defined in src/search/search.component.ts:147

### expandable

@Input()
expandable: boolean = false

Inherited from Search.expandable

- Defined in src/search/search.component.ts:65

### hostClass

@HostBinding({"hostPropertyName":"class.bx--toolbar-content"})
hostClass: boolean = true

- Defined in src/table/toolbar/table-toolbar-search.component.ts:25

### Protected i18n

i18n: I18n

Inherited from Search.i18n

- Defined in src/search/search.component.ts:147

### id

@Input()
id: string = `search-${Search.searchCount}`

Inherited from Search.id

- Defined in src/search/search.component.ts:85

### inputRef

@ViewChild({"selector":"input","opts":"{ static: false }"})
inputRef: ElementRef

Inherited from Search.inputRef

- Defined in src/search/search.component.ts:134

### Protected isComposing

isComposing: boolean = false

Inherited from Search.isComposing

- Defined in src/search/search.component.ts:139

### label

@Input()
label: any = this.i18n.get().SEARCH.LABEL

Inherited from Search.label

- Defined in src/search/search.component.ts:102

### name

@Input()
name: string

Inherited from Search.name

- Defined in src/search/search.component.ts:81

### open

@Output()
open: EventEmitter<boolean> = new EventEmitter<boolean>()

Inherited from Search.open

- Defined in src/search/search.component.ts:123

### placeholder

@Input()
placeholder: any = this.i18n.get().SEARCH.PLACEHOLDER

Inherited from Search.placeholder

- Defined in src/search/search.component.ts:106

### required

@Input()
required: boolean

Inherited from Search.required

- Defined in src/search/search.component.ts:89

### search

@Output()
search: EventEmitter<string> = new EventEmitter<string>()

Inherited from Search.search

- Defined in src/search/search.component.ts:131

### searchTitle

@Input()
searchTitle: string = ""

Inherited from Search.searchTitle

- Defined in src/search/search.component.ts:114

### skeleton

@Input()
skeleton: boolean = false

Inherited from Search.skeleton

- Defined in src/search/search.component.ts:69

### tableSearch

tableSearch: boolean = true

Overrides Search.tableSearch

- Defined in src/table/toolbar/table-toolbar-search.component.ts:23

### theme

@Input()
theme: "light" | "dark" = "dark"

Inherited from Search.theme

- Defined in src/search/search.component.ts:41

### toolbar

@Input()
toolbar: boolean = false

Inherited from Search.toolbar

- Defined in src/search/search.component.ts:60

### value

@Input()
value: string = ""

Inherited from Search.value

- Defined in src/search/search.component.ts:93

### valueChange

@Output()
valueChange: EventEmitter<string> = new EventEmitter<string>()

Inherited from Search.valueChange

- Defined in src/search/search.component.ts:122

### Static searchCount

searchCount: number = 0

Inherited from Search.searchCount

- Defined in src/search/search.component.ts:34

## Accessors

### containerClass

@HostBinding({"hostPropertyName":"class.bx--form-item"})
containerClass:

Inherited from Search.containerClass

- Defined in src/search/search.component.ts:36

### size

@Input()
size:

Inherited from Search.size

- Defined in src/search/search.component.ts:46
- Defined in src/search/search.component.ts:50

## Methods

### clearSearch

- clearSearch(): void

- Inherited from Search.clearSearch

  - Defined in src/search/search.component.ts:206

  #### Returns void

### compositionEnd

@HostListener({"eventName":"compositionend","args":"[$event]"})

- compositionEnd(event: any): void

- Inherited from Search.compositionEnd

  - Defined in src/search/search.component.ts:269

  #### Parameters

  - ##### event: any

  #### Returns void

### compositionStart

@HostListener({"eventName":"compositionstart","args":"[$event]"})

- compositionStart(event: any): void

- Inherited from Search.compositionStart

  - Defined in src/search/search.component.ts:261

  #### Parameters

  - ##### event: any

  #### Returns void

### doValueChange

- doValueChange(): void

- Inherited from Search.doValueChange

  - Defined in src/search/search.component.ts:212

  #### Returns void

### focusIn

@HostListener({"eventName":"focusin","args":"[$event]"})

- focusIn(event: any): void

- Inherited from Search.focusIn

  - Defined in src/search/search.component.ts:247

  #### Parameters

  - ##### event: any

  #### Returns void

### focusOut

@HostListener({"eventName":"focusout","args":"[$event]"})

- focusOut(event: any): void

- Inherited from Search.focusOut

  - Defined in src/search/search.component.ts:235

  #### Parameters

  - ##### event: any

  #### Returns void

### keyDown

@HostListener({"eventName":"keydown","args":"[$event]"})

- keyDown(event: KeyboardEvent): void

- Inherited from Search.keyDown

  - Defined in src/search/search.component.ts:224

  #### Parameters

  - ##### event: KeyboardEvent

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/table/toolbar/table-toolbar-search.component.ts:27

  #### Returns void

### onEnter

- onEnter(): void

- Inherited from Search.onEnter

  - Defined in src/search/search.component.ts:199

  #### Returns void

### onSearch

- onSearch(search: string): void

- Inherited from Search.onSearch

  - Defined in src/search/search.component.ts:188

  #### Parameters

  - ##### search: string

  #### Returns void

### onTouched

- onTouched(): void

- Inherited from Search.onTouched

  - Defined in src/search/search.component.ts:177

  #### Returns void

### openSearch

- openSearch(): void

- Inherited from Search.openSearch

  - Defined in src/search/search.component.ts:217

  #### Returns void

### propagateChange

- propagateChange(_: any): void

- Inherited from Search.propagateChange

  - Defined in src/search/search.component.ts:182

  #### Parameters

  - ##### _: any

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- Inherited from Search.registerOnChange

  - Defined in src/search/search.component.ts:162

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- Inherited from Search.registerOnTouched

  - Defined in src/search/search.component.ts:170

  #### Parameters

  - ##### fn: any

  #### Returns void

### writeValue

- writeValue(value: any): void

- Inherited from Search.writeValue

  - Defined in src/search/search.component.ts:155

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc